Error installing platformio-ide-terminal in Atom

Please i have been getting the error below when installing platformio-ide-terminal packages..

it just stops and displays error below i have tried a number of times and same error always.

i need help to solve this problem.

thanks in anticipation


npm ERR! code Z_BUF_ERROR
npm ERR! errno -5
npm ERR! zlib: unexpected end of file

npm ERR! A complete log of this run can be found in:
npm ERR! C:\Users\Chukwuemeka\.atom\.apm\_logs\2018-12-03T12_22_14_014Z-debug.log

Could you please paste the command that you execute and the log file in C:\Users\Chukwuemeka.atom.apm_logs\2018-12-03T12_22_14_014Z-debug.log ?

Hi,

I am not able to install any package in atom please find the below log file.

11 verbose stack ZlibError: zlib: unexpected end of file
11 verbose stack at Zlib.(anonymous function).onerror (C:\Users\Narinder Adhikari\AppData\Local\atom\app-1.33.1\resources\app\apm\node_modules\npm\node_modules\minizlib\index.js:131:21)
11 verbose stack at Unzip.write (C:\Users\Narinder Adhikari\AppData\Local\atom\app-1.33.1\resources\app\apm\node_modules\npm\node_modules\minizlib\index.js:255:31)
11 verbose stack at Unzip.flush (C:\Users\Narinder Adhikari\AppData\Local\atom\app-1.33.1\resources\app\apm\node_modules\npm\node_modules\minizlib\index.js:222:10)
11 verbose stack at Unzip.end (C:\Users\Narinder Adhikari\AppData\Local\atom\app-1.33.1\resources\app\apm\node_modules\npm\node_modules\minizlib\index.js:229:10)
11 verbose stack at Object.end (C:\Users\Narinder Adhikari\AppData\Local\atom\app-1.33.1\resources\app\apm\node_modules\npm\node_modules\tar\lib\parse.js:415:21)
11 verbose stack at PassThrough.onend (_stream_readable.js:595:10)
11 verbose stack at Object.onceWrapper (events.js:313:30)
11 verbose stack at emitNone (events.js:111:20)
11 verbose stack at PassThrough.emit (events.js:208:7)
11 verbose stack at endReadableNT (_stream_readable.js:1056:12)
11 verbose stack at _combinedTickCallback (internal/process/next_tick.js:138:11)
11 verbose stack at process._tickCallback (internal/process/next_tick.js:180:9)
12 verbose cwd C:\Users\NARIND~1\AppData\Local\Temp\apm-install-dir-1181120-11488-drj2ep.nbm4w
13 verbose Windows_NT 10.0.17134
14 verbose argv “C:\Users\Narinder Adhikari\AppData\Local\atom\app-1.33.1\resources\app\apm\bin\node.exe” “C:\Users\Narinder Adhikari\AppData\Local\atom\app-1.33.1\resources\app\apm\node_modules\npm\bin\npm-cli.js” “–globalconfig” “C:\Users\Narinder Adhikari\.atom\.apm\.apmrc” “–userconfig” “C:\Users\Narinder Adhikari\.atom\.apmrc” “install” “https://www.atom.io/api/packages/platformio-ide-terminal/versions/2.8.4/tarball” “–runtime=electron” “–target=2.0.16” “–dist-url=https://atom.io/download/electron” “–arch=x64” “–global-style”
15 verbose node v8.9.3
16 verbose npm v6.2.0
17 error code Z_BUF_ERROR
18 error errno -5
19 error zlib: unexpected end of file
20 verbose exit [-5, true]

Ok, I do not really know what happened. Did you try to ask help on atom community?

1 Like

@nekkanict @neerajadhiari You guys should check out the Debugging manual over at Atom. Then you can post the information back here, or ask a new question in the Atom Community linked by @wabri.